## openbox 3.6.1

=== debian/changelog ===
openbox (3.6.1-7) unstable; urgency=medium

  * Adjust adapt-to-gsd-324.patch for plugin dropped in
    gnome-settings-daemon 3.28 (Closes: #892006)
  * Add patch to fix toggled hover and pressed images masks not loaded.
    (Closes: #887908)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 12 Mar 2018 10:41:03 +0100

openbox (3.6.1-6) unstable; urgency=medium

  * debian/control:
    + Move openbox-menu to Recommends. (Closes: #872983)
    + Bump dh version to 11.
    + Bump Standards-Version to 4.1.3.
  * Drop depends on gconf2: (Closes: #886050 LP: #1740420)
    + Add debian/patches/09-disable-check-gnome-version.patch.
  * Add python script to generate menu as replacent for openbox-menu.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 08 Jan 2018 15:20:49 +0100

openbox (3.6.1-5.1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Non-maintainer upload

  [ Bing Xia ]
  * fix maximize/restore vertical or horizontal only (Closes: #873480)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Jan 2018 11:53:06 -0500

openbox (3.6.1-5) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Add Breeze-ob theme to make compatibility with lxqt.
  * debian/control:
    + Drop all pre-wheezy breaks.
    + Bump Standards-Version to 4.0.1.
  * debian/patches:
    + Add patches from Raspberry Pi: fix Maximized window spills over to second
      display (Closes: #856940 LP: #1624985)
    + Add patch to disable sets a dull gray background during startup.
      (Closes: #843231)
  * Use openbox-menu as replace for menu, which will be gone from Debian.
    (Closes: #861555)
  * Update NEWS.Debian.
  * Update debian/copyright.

  [ Jeremy Bicha <jbicha@ubuntu.com> ]
  * Adapt to gnome-settings-daemon 3.25 (Closes: #872694)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 21 Aug 2017 20:22:14 +0200

openbox (3.6.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jeremy Bicha <jbicha@ubuntu.com> ]
  * Adapt to gnome-settings-daemon 3.24 (Closes: #870227)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Aug 2017 15:53:13 +0200

openbox (3.6.1-4) unstable; urgency=medium

  [ Bruno Pennati ]
  * Update manpage. (Closes: #800669)

  [ Mateusz Łukasik ]
  * debian/control:
    + Add plasma-workspace to openbox-kde-session depends. (Closes: #845386)
  * debian/patches:
    + Add fix-spelling-error-in-binary.patch.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 24 Nov 2016 09:51:09 +0100

openbox (3.6.1-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 3.9.8.
    + Use secured links for VCS.
    + Add libxcursor-dev to B-D. (Closes: #838326, LP: #1336521)
  * Bump debhelper compat to 10.
  * debian/patches:
    + Add 808138_Replace-getgrent-with-getgroups.patch for not enumerate
    all groups at startup (Closes: #808138)
    + Add d9a405e9.patch cherry-pick from upstream to Add 'last' as a desktop
    target for if/foreach.
  * Drop menu file.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 03 Oct 2016 11:33:24 +0200

openbox (3.6.1-2) unstable; urgency=medium

  * Rename library packages for g++5 ABI transition.
  * debian/control:
    + Drop obsolete kde-workspace-bin from openbox-kde-session depends.
    (Closes: #797946)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 04 Sep 2015 12:23:45 +0200

openbox (3.6.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #788821, #790740)
  * Change libobrender ABI from 29 to 32:
    + Remove debian/patches/788520_change_libobrender_abi.patch
    + Rename debian/libobrender31.* to debian/libobrender32.*.
  * Change libobt ABI back from 4 to 2:
    + Remove debian/patches/788520_change_libobt_abi.patch.
    + Rename debian/libobt4.* to debian/libobt2.*.
  * debian/control:
    + Remove unnecessary necessary Breaks and Conflicts fields.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 04 Jul 2015 20:25:30 +0200

=== debian/control ===
Source: openbox
Section: x11
Priority: optional
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: debhelper (>= 11), gettext, libstartup-notification0-dev,
 libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl,
 libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, libx11-dev,
 autoconf, automake (>= 1:1.11), libimlib2-dev, libxcursor-dev,
 autopoint, librsvg2-dev, libxi-dev
Standards-Version: 4.1.3
Homepage: http://www.openbox.org
Vcs-Browser: https://github.com/mati75/openbox-debian
Vcs-Git: https://github.com/mati75/openbox-debian.git

Package: openbox
Architecture: any
Provides: x-window-manager, x-session-manager
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: obconf, obsession, scrot, openbox-menu
Suggests: fonts-dejavu, libxml2-dev, tint2, python,
 openbox-gnome-session (= ${binary:Version}), openbox-kde-session (= ${binary:Version})
Breaks: openbox-theme-breeze (<< 1.0)
Description: standards-compliant, fast, light-weight and extensible window manager
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers. Openbox was written first to
 comply with standards and to work properly. Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager. It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox. Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 Some of the things to look for in Openbox are:
 .
  * ICCCM and EWMH compliance!
  * Very fast
  * Chainable key bindings
  * Customizable mouse actions
  * Window resistance
  * Multi-head Xinerama support!
  * Pipe menus

Package: libobt2v5
Section: libs
Architecture: any
Conflicts: libobt2
Replaces: libobt2
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing library for openbox
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers. Openbox was written first to
 comply with standards and to work properly. Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager. It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox. Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the libobt library files used by openbox
 to load and parse configuration and theme files of openbox.

Package: libobrender32v5
Section: libs
Architecture: any
Conflicts: libobrender32
Replaces: libobrender32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rendering library for openbox themes
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers. Openbox was written first to
 comply with standards and to work properly. Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager. It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox. Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the libobrender library files used by openbox
 for theme rendering.

Package: openbox-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender32v5 (= ${binary:Version}),
 libobt2v5 (= ${binary:Version}), libxml2-dev, libglib2.0-dev, libpango1.0-dev,
 libimlib2-dev, librsvg2-dev, libxcursor-dev
Description: development files for the openbox window manager
 Openbox works with your applications, and makes your desktop easier to manage.
 This is because the approach to its development was the opposite of what seems
 to be the general case for window managers. Openbox was written first to
 comply with standards and to work properly. Only when that was in place did
 the team turn to the visual interface.
 .
 Openbox is fully functional as a stand-alone working environment, or can be
 used as a drop-in replacement for the default window manager in the GNOME or
 KDE desktop environments.
 .
 Openbox 3 is a completely new breed of window manager. It is not based upon
 any existing code base, although the visual appearance has been based upon
 that of Blackbox. Openbox 2 was based on the Blackbox 0.65.0 codebase.
 .
 This package contains the development headers for building openbox stuff.

Package: gnome-panel-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: openbox (<< 3.4.11.2)
Breaks: openbox (<< 3.4.11.2)
Description: command line utility to invoke GNOME panel run dialog/menu
 gnome-panel-control can be used to invoke the GNOME panel run or main
 menu from the command line. This is originally a helper utility of openbox
 since gnome-panel is no longer managing its own key bindings.

Package: openbox-gnome-session
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openbox (>= ${source:Version}),
 gnome-session-bin, x11-utils
Enhances: gnome-session
Replaces: openbox (<< 3.5.2-5)
Breaks: openbox (<< 3.5.2-5)
Description: command line utility to run Openbox as GNOME session
 openbox-gnome-session can provide GNOME session with openbox as
 a default window manager. It can replace the original window manager
 in GNOME Shell and GNOME Fallback sessions.

Package: openbox-kde-session
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openbox (>= ${source:Version}),
 x11-utils, plasma-workspace
Enhances: kde-workspace
Replaces: openbox (<< 3.5.2-5)
Breaks: openbox (<< 3.5.2-5)
Description: command line utility to run Openbox as KDE SC session
 openbox-kde-session can provide KDE SC session with openbox as
 a default window manager. Can replace the original window manager
 called KWin.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS +=-Wall -g -fPIC
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

VERSION=$(shell awk '/^PACKAGE_VERSION/ { print $$2 }' "FS='" configure)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-librsvg --disable-silent-rules

override_dh_auto_build:
	#pod2man --section=1 --release=$(VERSION) --center \
	#	"Openbox documentation" debian/kdetrayproxy.pod > kdetrayproxy.1
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/gnome-panel-control.pod > \
		gnome-panel-control.1
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/gdm-control.pod > \
		gdm-control.1
	dh_auto_build

override_dh_install:
	dh_install --list-missing
	find debian/tmp/usr/lib*/ -name "*.la" -delete

override_dh_auto_clean:
	rm -f openbox.1
	#rm -f kdetrayproxy.1
	rm -f gnome-panel-control.1
	rm -f gdm-control.1	
	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/openbox-$1\.tar\.gz/ \
  https://github.com/danakj/openbox/tags .*/release-?(\d\S*)\.tar\.gz

## openbox 3.7~rc2

=== tools/gdm-control/Makefile ===
all clean install:
	$(MAKE) -C ../.. -$(MAKEFLAGS) $@

.PHONY: all clean install

=== debian/changelog ===
openbox (3.7~rc2-1) experimental; urgency=medium

  * New upstream release candidate:
    + Remove patches included upstream.
    + Add patch for fix FTBFS.
    + Disable Fix-collision-between-iterator-and-throw-away-argume.patch
  * Drop python3 from depends. (Closes: #1072921)
  * Replace python obamenu with my bash fork.
  * Add patch to improve the example for setting an environment.
    (Closes: #1068214)
  * d/control: Bump Standards-Version to 4.7.2.
  * Demote scrot to suggest.
  * Rename packages following the GCC 5 transition.
  * Move from pkg-config to pkgconf.
  * Fix d/watch file.
  * Add remove debian dir from upstream tarball.
  * Update d/libobrender32.symbols.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 05 Oct 2025 12:27:25 +0200

openbox (3.6.1-12) unstable; urgency=medium

  * Drop useless html docs about compiling.
  * Add gnome-settings-daemon, gnome-panel, gnome-flashback to
    openbox-gnome-session depends. (Closes: #1050946)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 16 Feb 2024 20:38:11 +0100

openbox (3.6.1-11) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/obamenu:
    + Use x-terminal-emulator as terminal emulator. (Closes: #1010019)
    + Fix ignoring broken links. (Closes: #886716)
  * d/patches:
    + Add patch for fix openbox invokes imlib_free_image when no image
    is loaded (Closes: #1007147)
    + Add patch from upstream for fix crashes when switching out of
    a fullscreen window with GLib 2.76.0. (LP: #2011751) (Closes: #1033385)
  * d/control: Bump Standards-Version to 4.6.2.
  * d/copyright: Welcome 2023.
  * d/watch: Update to version 4 and change sources repository.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on automake and libxml2-dev.
    + gnome-panel-control: Drop versioned constraint on openbox in Replaces.
    + gnome-panel-control: Drop versioned constraint on openbox in Breaks.
    + openbox-gnome-session: Drop versioned constraint on openbox in Replaces.
    + openbox-gnome-session: Drop versioned constraint on openbox in Breaks.
    + openbox-kde-session: Drop versioned constraint on openbox in Replaces.
    + openbox-kde-session: Drop versioned constraint on openbox in Breaks.
  * Remove 1 obsolete maintscript entry.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Ingo Brückl ]
  * Update German translation.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 19 Jul 2023 17:18:18 +0200

openbox (3.6.1-10) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Fix day-of-week for changelog entries 3.5.0-2, 3.5.0-1, 2.0.0-1.

  [ Mateusz Łukasik ]
  * Remove obsession from Recommends it is upstream dead.
  * d/control:
    + Change dh version to 13.
    + Bump Standards-Version to 4.6.0.
  * Add patch for The following configuration file changes need to be
    made to restore KDE/Openbox Sessions. (Closes: #974180)
  * Add d/not-installed.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 30 Jan 2022 13:33:32 +0100

openbox (3.6.1-9+deb11u1) unstable; urgency=medium

  [ dann frazier ]
  * When running with > 2 screens, avoid calling XQueryPointer() in an
    infinite loop. (Closes: #983882)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 18 Mar 2021 22:11:13 +0100

openbox (3.6.1-9) unstable; urgency=medium

  * Switch to python3. (Closes: #887122 #886716) (LP: #1816473)
    + Thanks for Kevin Otte (nivex) for patch obamenu
  * d/control:
    + Change dh version to 12.
    + Bump Standards-Version to 4.5.0.
    + Set Rules-Requires-Root to no.
  * Rename debian/NEWS.Debian to debian/NEWS.
  * d/patches:
    + Fix 07_update_desktop.patch
  * Update debian/source/lintian-overrides to new of rename tags.
  * Drop references for lxde-applications.menu. (Closes: #884570)
  * d/*.symbols add Build-Depends-Package:openbox-dev
    Fix lintian warning symbols-file-missing-build-depends-package-field.
  * d/copyright: Welcome 2020.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 17 Mar 2020 18:20:12 +0100

openbox (3.6.1-8) unstable; urgency=medium

  * Fix applications menu when there are no entries.
    (Closes: #888254 #887122 #886716) (LP: #1771696).
  * debian/control:
    + Add obconf-qt as alternative for obconf. (Closes: #914960)
    + Bump Standards-Version to 4.3.0.
    + Remove openbox-menu from Recommends. (Closes: #876017)
  * debian/docs/build.html drop suggests using non-existent kdetrayproxy.
    (Closes: #916086)
  * debian/patches:
    + Add 917204_undecorated_maximized_no_border.patch for removed top
    border on undecorated maximized windows. (Closes: #917204)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 31 Dec 2018 20:41:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: x11
 Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
-Build-Depends: debhelper (>= 11), gettext, libstartup-notification0-dev,
- libxrender-dev, pkg-config, libglib2.0-dev, libxml2-dev (>= 2.6.0), perl,
+Build-Depends: debhelper-compat (= 13), gettext, libstartup-notification0-dev,
+ libxrender-dev, pkgconf, libglib2.0-dev, libxml2-dev, perl,
  libxt-dev, libxinerama-dev, libxrandr-dev, libpango1.0-dev, libx11-dev,
- autoconf, automake (>= 1:1.11), libimlib2-dev, libxcursor-dev,
+ autoconf, automake, libimlib2-dev, libxcursor-dev,
  autopoint, librsvg2-dev, libxi-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: http://www.openbox.org
 Vcs-Browser: https://github.com/mati75/openbox-debian
 Vcs-Git: https://github.com/mati75/openbox-debian.git
@@ -17,8 +18,8 @@
 Provides: x-window-manager, x-session-manager
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: obconf, obsession, scrot, openbox-menu
-Suggests: fonts-dejavu, libxml2-dev, tint2, python,
+Recommends: obconf | obconf-qt
+Suggests: fonts-dejavu, libxml2-dev, tint2, python3, scrot,
  openbox-gnome-session (= ${binary:Version}), openbox-kde-session (= ${binary:Version})
 Breaks: openbox-theme-breeze (<< 1.0)
 Description: standards-compliant, fast, light-weight and extensible window manager
@@ -46,12 +47,13 @@
   * Multi-head Xinerama support!
   * Pipe menus
 
-Package: libobt2v5
+Package: libobt2
 Section: libs
 Architecture: any
-Conflicts: libobt2
-Replaces: libobt2
+Conflicts: libobt2v5
+Replaces: libobt2v5 (<< 3.6.1-12ubuntu1)
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: parsing library for openbox
  Openbox works with your applications, and makes your desktop easier to manage.
  This is because the approach to its development was the opposite of what seems
@@ -70,11 +72,11 @@
  This package contains the libobt library files used by openbox
  to load and parse configuration and theme files of openbox.
 
-Package: libobrender32v5
+Package: libobrender32
 Section: libs
 Architecture: any
-Conflicts: libobrender32
-Replaces: libobrender32
+Conflicts: libobrender32v5
+Replaces: libobrender32v5 (<< 3.6.1-12ubuntu1)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: rendering library for openbox themes
  Openbox works with your applications, and makes your desktop easier to manage.
@@ -97,8 +99,8 @@
 Package: openbox-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender32v5 (= ${binary:Version}),
- libobt2v5 (= ${binary:Version}), libxml2-dev, libglib2.0-dev, libpango1.0-dev,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libobrender32 (= ${binary:Version}),
+ libobt2 (= ${binary:Version}), libxml2-dev, libglib2.0-dev, libpango1.0-dev,
  libimlib2-dev, librsvg2-dev, libxcursor-dev
 Description: development files for the openbox window manager
  Openbox works with your applications, and makes your desktop easier to manage.
@@ -120,8 +122,6 @@
 Package: gnome-panel-control
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: openbox (<< 3.4.11.2)
-Breaks: openbox (<< 3.4.11.2)
 Description: command line utility to invoke GNOME panel run dialog/menu
  gnome-panel-control can be used to invoke the GNOME panel run or main
  menu from the command line. This is originally a helper utility of openbox
@@ -130,10 +130,8 @@
 Package: openbox-gnome-session
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, openbox (>= ${source:Version}),
- gnome-session-bin, x11-utils
+ gnome-session-bin, gnome-settings-daemon, gnome-panel, gnome-flashback, x11-utils
 Enhances: gnome-session
-Replaces: openbox (<< 3.5.2-5)
-Breaks: openbox (<< 3.5.2-5)
 Description: command line utility to run Openbox as GNOME session
  openbox-gnome-session can provide GNOME session with openbox as
  a default window manager. It can replace the original window manager
@@ -144,10 +142,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, openbox (>= ${source:Version}),
  x11-utils, plasma-workspace
 Enhances: kde-workspace
-Replaces: openbox (<< 3.5.2-5)
-Breaks: openbox (<< 3.5.2-5)
 Description: command line utility to run Openbox as KDE SC session
  openbox-kde-session can provide KDE SC session with openbox as
  a default window manager. Can replace the original window manager
  called KWin.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS +=-Wall -g -fPIC
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

VERSION=$(shell awk '/^PACKAGE_VERSION/ { print $$2 }' "FS='" configure)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-librsvg --disable-silent-rules --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/gnome-panel-control.pod > \
		gnome-panel-control.1
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/gdm-control.pod > \
		gdm-control.1
	dh_auto_build

#override_dh_auto_install:
#	dh_missing --list-missing
#	dh_auto_install

#override_dh_auto_installdocs:
#	dh_installdocs -A

override_dh_auto_clean:
	rm -f openbox.1
	rm -f gnome-panel-control.1
	rm -f gdm-control.1	
	dh_auto_clean

=== debian/watch ===
version=4
opts=\
  filenamemangle=s%.*/release-([0-9]+\.[0-9]+(?:-rc[0-9]+)?)\.tar\.gz%openbox-$1.tar.gz%,\
  uversionmangle=s/([0-9]+\.[0-9]+)-rc([0-9]+)/$1~rc$2/ \
  https://github.com/Mikachu/openbox/tags \
  .*/release-([0-9]+\.[0-9]+(?:-rc[0-9]+)?)\.tar\.gz
